# Data types

Data Types are defined within a template which is then associated with a record. Within the Rightsline app there is the ability to set and specify many different types of data in the characteristics. You can decide what field type works best for your Configuration and Template needs.

What characteristics are available on a record are defined by the record's template

```json
"template": {
    "templateId": 1,
    "templateName": "Template Name",
    "processId": 0,
    "processName": null
}
```

A template will then define all the characteristics including each of the fields' data type.\
Here is an example of template from the API

```json
{
     "fields": [
        {
           "fieldName": "Field Name",
           "label": "field_label",
           "required": false,
           "maxLength": 500,
           "editable": false,
           "dataType": "AlphaNumericText",
           "allowMultiple": false,
           "listOfValues": []
        },
        ...
    ]
}       
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/config/data-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
